# Uses of Class
org.snpeff.interval.Regulation

Packages that use Regulation
Package
Description
org.snpeff
org.snpeff.fileIterator
org.snpeff.interval

## Uses of Regulation in org.snpeff

Methods in org.snpeff that return types with arguments of type Regulation
Modifier and Type
Method
Description
`ArrayList<Regulation>`
RegulationFileConsensus.`getRegulationList(String regType)`
Get regulation list by type (or create a new list)
Methods in org.snpeff with parameters of type Regulation
Modifier and Type
Method
Description
`void`
RegulationFileConsensus.`consensus(Regulation reg)`
Add to consensus

## Uses of Regulation in org.snpeff.fileIterator

Methods in org.snpeff.fileIterator that return Regulation
Modifier and Type
Method
Description
`protected Regulation`
RegulationBedFileIterator.`readNext()`
`protected Regulation`
RegulationGffFileIterator.`readNext()`

## Uses of Regulation in org.snpeff.interval

Methods in org.snpeff.interval that return Regulation
Modifier and Type
Method
Description
`Regulation`
Regulation.`cloneShallow()`